macpack(Mono 1.0)

NAME
macpack - Macintosh OS X Packager for managed gui assemblies

SYNOPSIS

macpack [options] assembly

DESCRIPTION
macpack is a tool used to package managed assemblies (like System.Windows.Forms or Cocoa#) that require gui availability for deployment on Mac OS X.

macpack will prepare a OS X compatible bundle from the provided assembly and resources. The bundle will include the specified assembly as well as any of the provided resources (specified with the -resource: switch).

Developers can specify the kind of application to produce using the -mode: argument. This controls how the environment in the Mono class libraries is setup.

OPTIONS
-a assembly

This option tells macpack where the managed assembly that you want to bundle resides. This option is also used to point to the shell script to launch in the case of a X11/Gtk# application.

This is the same as just passing the assembly as an argument.

-m [winforms,x11,console,cocoa] or -mode:[winforms,x11,console,cocoa]

A value indicating the kind of application: WinForms is a Winforms application running on Quartz; X11 is an application that requires the X11 server to run; console is a non-graphical application; cocoa is an application based on Cocoa#

-n NAME or -appname:NAME

This option specifies the application name of the emitted bundle. This is what you will see in Finder.

-o DIRECTORY or -output:DIRECTORY

This option specifies the path to output the generated Application.

-r RESOURCE or -resource:RESOURCE

This option can be specified multiple times. It will place a copy of each resource into the bundles resources directory. Alternatively, you can use a comma separated list of resources.

AUTHOR
Geoff Norton

WEB SITE
Visit: http://www.mono-project.com for details